Bug 14019 - SVG focus ring support has minor display bugs
Summary: SVG focus ring support has minor display bugs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 10849 14015 25532
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 12:42 PDT by Eric Seidel (no email)
Modified: 2010-07-08 23:53 PDT (History)
2 users (show)

See Also:


Attachments
focus ring tests showing some remaining bugs (1.46 KB, image/svg+xml)
2007-06-06 12:44 PDT, Eric Seidel (no email)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-06-06 12:42:43 PDT
SVG focus ring support has minor display bugs

Now that SVG has focus ring support (thanks to bug 10849), we need to go back and clean up some of the display bugs such support exposes.

Some examples of bugs:
- focus rings for paths do not conform to path shape
- focus rings for paths are 1px larger than necessary (due to antialiasing fuzz in the absoluteBounds method)
- focus rings do not respect clip when sizing themselves (see <image> example)
- text focus rings do not respect transform= attributes correctly
- image focus rings do not respect transform= attributes correctly
Comment 1 Eric Seidel (no email) 2007-06-06 12:44:57 PDT
Created attachment 14887 [details]
focus ring tests showing some remaining bugs

This test case has already been landed as svg/custom/focus-ring.svg
Comment 2 Eric Seidel (no email) 2007-10-12 02:23:09 PDT
Focus ring painting will actually improve once we fix bug 14015, because at least RenderSVGImage depends on a proper computeAbsoluteRepaintRect implementation (which we don't currently have).
Comment 3 Eric Seidel (no email) 2009-05-03 15:37:52 PDT
I've fixed text focus rings locally.  Will be uploading that patch soon.
Comment 4 Nikolas Zimmermann 2010-07-08 23:53:50 PDT
Fixed in trunk.